Package com.complexible.stardog.spatial

# Class GeospatialOptions

java.lang.Object
com.complexible.stardog.spatial.GeospatialOptions

All Implemented Interfaces:
  `MetaPropertyProvider`

public final class GeospatialOptions extends Object implements MetaPropertyProvider

Set of options for configuring Stardog Spatial

Since:
  4.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final double`
  `DEFAULT_ERROR_PCT`
  Default error rate.
  `static final ConfigProperty<Features>`
  `FEATURES`
  `static final InfoProperty<UUID>`
  `LAST_COMMIT_TX`
  `static final int`
  `MAX_LEVELS`
  Max level precision for the `GeohashPrefixTree`.
  `static final ConfigProperty<Boolean>`
  `OPTIMIZE`
  `static final String`
  `OPTION_SPATIAL_ENABLED`
  `static final String`
  `OPTION_SPATIAL_FEATURES`
  `static final String`
  `PROPERTY_DISTANCE_PRECISION`
  `static final String`
  `PROPERTY_OPTIMIZE`
  `static final ConfigProperty<Boolean>`
  `REMOVE_IN_TX`
  `static final ConfigProperty<Integer>`
  `SPATIAL_DISTANCE_PRECISION`
  Deprecated.
  `static final ConfigProperty<Boolean>`
  `SPATIAL_ENABLED`
  Option for whether or not spatial indexing is enabled for the database
  `static final ConfigProperty<Double>`
  `SPATIAL_ERROR_PCT`
  Deprecated.
  `static final ConfigProperty<Boolean>`
  `SPATIAL_INDEX_DIRTY`
  Deprecated.
  `static final ConfigProperty<GeospatialIndexState>`
  `SPATIAL_INDEX_STATE`
  `static final ConfigProperty<Integer>`
  `SPATIAL_PRECISION`
  Deprecated.
  `static final ConfigProperty<Integer>`
  `SPATIAL_RESULT_LIMIT`
  Deprecated.
  `static final ConfigProperty<Integer>`
  `SPATIAL_RESULT_PAGE_SIZE`
  Page size used for iteration over results from the spatial index.
  `static final ConfigProperty<Boolean>`
  `USE_JTS`
  Deprecated.
  `static final MetaProperty<Integer>`
  `VERSION`
  `static final Option<Integer>`
  `WRITE_BUFFER_SIZE`
  Lucene write buffer size

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OPTION_SPATIAL_ENABLED

    public static final String OPTION_SPATIAL_ENABLED
    See Also:
      - Constant Field Values

  - ### OPTION_SPATIAL_FEATURES

    public static final String OPTION_SPATIAL_FEATURES
    See Also:
      - Constant Field Values

  - ### PROPERTY_OPTIMIZE

    public static final String PROPERTY_OPTIMIZE
    See Also:
      - Constant Field Values

  - ### PROPERTY_DISTANCE_PRECISION

    public static final String PROPERTY_DISTANCE_PRECISION
    See Also:
      - Constant Field Values

  - ### MAX_LEVELS

    public static final int MAX_LEVELS
    Max level precision for the `GeohashPrefixTree`. This results in millimeter precision.
    See Also:
      - Constant Field Values

  - ### DEFAULT_ERROR_PCT

    public static final double DEFAULT_ERROR_PCT
    Default error rate.
    See Also:
      - Constant Field Values

  - ### USE_JTS

    @Deprecated public static final ConfigProperty<Boolean> USE_JTS
    Deprecated.
    Index option for enabling JTS integration

  - ### WRITE_BUFFER_SIZE

    public static final Option<Integer> WRITE_BUFFER_SIZE
    Lucene write buffer size

  - ### SPATIAL_ENABLED

    public static final ConfigProperty<Boolean> SPATIAL_ENABLED
    Option for whether or not spatial indexing is enabled for the database

  - ### SPATIAL_PRECISION

    @Deprecated public static final ConfigProperty<Integer> SPATIAL_PRECISION
    Deprecated.
    The precision used for spatial indexing. Corresponds to the precision of the underyling `GeohashPrefixTree`. The default value is `11` which results in sub-millimeter precision; a value of 8 will give a precision +/- 50m.

  - ### FEATURES

    public static final ConfigProperty<Features> FEATURES

  - ### SPATIAL_DISTANCE_PRECISION

    @Deprecated public static final ConfigProperty<Integer> SPATIAL_DISTANCE_PRECISION
    Deprecated.
    Specifies the precision used for the distance calculations. The value is the number of significant digits distances used to represent distances. Smaller numbers sacrifice precision for performance. The default is 8. A value of -1 can be provided to compute distances to the maximum precision. The default value is `8`.

  - ### SPATIAL_ERROR_PCT

    @Deprecated public static final ConfigProperty<Double> SPATIAL_ERROR_PCT
    Deprecated.

  - ### SPATIAL_RESULT_PAGE_SIZE

    public static final ConfigProperty<Integer> SPATIAL_RESULT_PAGE_SIZE
    Page size used for iteration over results from the spatial index. Full name: spatial.result.page_size
    Default value: `100`

  - ### SPATIAL_RESULT_LIMIT

    @Deprecated public static final ConfigProperty<Integer> SPATIAL_RESULT_LIMIT
    Deprecated.
    Default max number of results from the spatial index. -1 returns all results Full name: spatial.result.limit
    Default value: `10 000`

  - ### OPTIMIZE

    public static final ConfigProperty<Boolean> OPTIMIZE

  - ### REMOVE_IN_TX

    public static final ConfigProperty<Boolean> REMOVE_IN_TX

  - ### SPATIAL_INDEX_DIRTY

    @Deprecated public static final ConfigProperty<Boolean> SPATIAL_INDEX_DIRTY
    Deprecated.

  - ### SPATIAL_INDEX_STATE

    public static final ConfigProperty<GeospatialIndexState> SPATIAL_INDEX_STATE

  - ### LAST_COMMIT_TX

    public static final InfoProperty<UUID> LAST_COMMIT_TX

  - ### VERSION

    public static final MetaProperty<Integer> VERSION